<template>
    <div>
        <el-row class="toolbar">
            <el-button type="primary" icon="el-icon-plus" size="mini">
                Thêm mới
            </el-button>
        </el-row>

        <el-table :data="exams" border style="width: 100%">
            <el-table-column type="selection" width="55" align="center"></el-table-column>
            <el-table-column sortable prop="name" label="Tên đề thi">
            </el-table-column>
            <el-table-column sortable prop="question_number" label="Số câu hỏi" width="180">
            </el-table-column>
            <el-table-column sortable prop="time" label="Thời gian thi" width="200">
            </el-table-column>
            <el-table-column width="150">
                <template>
                    <el-button size="mini" icon="el-icon-edit"></el-button>
                    <el-button size="mini" icon="el-icon-delete" type="danger"></el-button>
                </template>
            </el-table-column>
        </el-table>

        <el-row class="pagination-table-view">
            <el-pagination background layout="prev, pager, next" :total="100">
            </el-pagination>
        </el-row>
    </div>
</template>

<script>
    export default {
        name: 'ListUserComponent',
        props: {},
        data() {
            return {
                exams: [
                    {
                        name: 'Exam 1',
                        question_number: 30,
                        time: 60,
                    },
                    {
                        name: 'Exam 2',
                        question_number: 30,
                        time: 60,
                    },
                    {
                        name: 'Exam 3',
                        question_number: 30,
                        time: 60,
                    },
                    {
                        name: 'Exam 4',
                        question_number: 30,
                        time: 60,
                    },
                    {
                        name: 'Exam 5',
                        question_number: 30,
                        time: 60,
                    }
                ]
            }
        },
        created() {
            if (!localStorage.getItem('access_token')) {
                this.$router.push({name: 'login'});
            }
        },
        methods: {
            
        }
    }
</script>

<style>
    
</style>